#' Script to validate the installation of Prod 4.1 using UseCase2
#' ===============================================================
#' 1. Load knitr library
library("knitr")

#' 2. Set working directory to InstallationTest/models folder where model and data are located
setwd(file.path(Sys.getenv("MDLIDE_WORKSPACE_HOME"), "InstallationTest/models"))

#' 3. Clean out any previous test results from the working directory
#deleteTheseFolders <- base:::list.dirs(path='.', recursive=FALSE)
#deleteTheseFiles <- c('InstallationTest_Aug2016.md', 'InstallationTest_Aug2016.html')
#deleteThese <- c(deleteTheseFolders, deleteTheseFiles)
#unlink(deleteThese, recursive = TRUE, force = TRUE)

#' 4. Execute the test
spin(file.path(Sys.getenv("MDLIDE_WORKSPACE_HOME"), "InstallationTest","models","InstallationTest_Aug2016.R"))

#' 5. Copy generated html report back to main folder and compare to Reference report
file.copy("InstallationTest_Aug2016.html",
		file.path(Sys.getenv("MDLIDE_WORKSPACE_HOME"), "InstallationTest"),
		overwrite=T)